Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

This endpoint requires authentication. The authenticated user must be the community owner or an admin.

Path Parameters

community_id
string
required
The unique identifier of the community

Query Parameters

status
string
Filter payouts by status. Use all or omit to show all payouts.Possible values: pending, processing, paid, failed, all
page
integer
default:"1"
Page number for pagination
per_page
integer
default:"25"
Number of results per page

Response

total
integer
Total number of payout records
has_more
boolean
Whether there are more results available
data
array
Array of payout objects
curl -H "Authorization: $ACCESS_TOKEN" \
  --request GET \
  --url https://api.onlydrams.app/api/v1/communities/:community_id/payouts/history
{
	"total": 2,
	"has_more": false,
	"data": [
		{
			"id": "6f408933-fc27-4821-b77c-ffc91ccc5d65",
			"gross_amount": "4.13",
			"platform_fee": "0.0",
			"net_amount": "4.13",
			"currency": "usd",
			"status": "completed",
			"error_message": null
		},
		{
			"id": "d0ed3fdb-e066-4d4e-81a3-f4428722a2c2",
			"gross_amount": "4.13",
			"platform_fee": "0.0",
			"net_amount": "4.13",
			"currency": "usd",
			"status": "completed",
			"error_message": null
		}
	]
}